Package org.eclipse.graphiti.ui.internal.editor

# Class EmfOnGefCommand

java.lang.Object
org.eclipse.graphiti.ui.internal.editor.EmfOnGefCommand

All Implemented Interfaces:
  `org.eclipse.emf.common.command.Command`

public class EmfOnGefCommand extends Object implements org.eclipse.emf.common.command.Command

## Constructor Summary

Constructors
Constructor
Description
`EmfOnGefCommand(org.eclipse.gef.commands.Command gefCommand)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute()`
`boolean`
`canUndo()`
`org.eclipse.emf.common.command.Command`
`chain(org.eclipse.emf.common.command.Command command)`
`void`
`dispose()`
`void`
`execute()`
`Collection<?>`
`getAffectedObjects()`
`String`
`getDescription()`
`org.eclipse.gef.commands.Command`
`getGefCommand()`
`String`
`getLabel()`
`Collection<?>`
`getResult()`
`void`
`redo()`
`void`
`undo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmfOnGefCommand

public EmfOnGefCommand(org.eclipse.gef.commands.Command gefCommand)

## Method Details

### canExecute

public boolean canExecute()

Specified by:
  `canExecute` in interface `org.eclipse.emf.common.command.Command`

### canUndo

public boolean canUndo()

Specified by:
  `canUndo` in interface `org.eclipse.emf.common.command.Command`

### chain

public org.eclipse.emf.common.command.Command chain(org.eclipse.emf.common.command.Command command)

Specified by:
  `chain` in interface `org.eclipse.emf.common.command.Command`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.emf.common.command.Command`

### execute

public void execute()

Specified by:
  `execute` in interface `org.eclipse.emf.common.command.Command`

### getAffectedObjects

public Collection<?> getAffectedObjects()

Specified by:
  `getAffectedObjects` in interface `org.eclipse.emf.common.command.Command`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `org.eclipse.emf.common.command.Command`

### getLabel

public String getLabel()

Specified by:
  `getLabel` in interface `org.eclipse.emf.common.command.Command`

### getResult

public Collection<?> getResult()

Specified by:
  `getResult` in interface `org.eclipse.emf.common.command.Command`

### redo

public void redo()

Specified by:
  `redo` in interface `org.eclipse.emf.common.command.Command`

### undo

public void undo()

Specified by:
  `undo` in interface `org.eclipse.emf.common.command.Command`

### getGefCommand

public org.eclipse.gef.commands.Command getGefCommand()